function love.load()

	--Create a list of positions
	positions = {}
	
	--Create the max amount of positions
	--Increasing this value will make the trail longer
	maxPositions = 20
	
	print("Check my source code!")
	love.mouse.setVisible(false)
end

function love.update(dt)

	--Gets mouse positions
	mx, my = love.mouse.getPosition()
	
	--Save current position in a variable
	positionActual = { x = mx, y = my}

	--Add current position to a table
	table.insert(positions, positionActual)
	
	--Checks table size
	if #positions > maxPositions then
		--Remove the oldest position in the table and properly shift it's data around
		table.remove(positions, 1)
	end
	
end

function love.draw()

	for i = 1, #positions do
		--Defines color so it fades as it draws rects at later table positions. Put some time to understand the line below
		--as it is the core of such technique.
		love.graphics.setColor(40, 255, 40, (124/#positions)*i)
		love.graphics.rectangle("fill", positions[i].x, positions[i].y, 10, 10)
	end
	
	--Reset colors
	--love.graphics.setColor(Red, Green, Blue, Alpha(transparency))
	love.graphics.setColor(255, 0, 0, 255)
	
	--Draw mouse position with a nice square trail
	love.graphics.rectangle("fill", mx, my, 6, 6)
	
end